Index: sansview/perspectives/fitting/fit_thread.py
===================================================================
--- sansview/perspectives/fitting/fit_thread.py	(revision bb18ef1c74ed79eb0630f198735ad2b14e7913ab)
+++ sansview/perspectives/fitting/fit_thread.py	(revision c77d8592395f6684cf45ee976c1cac9db9c00110)
@@ -102,6 +102,5 @@
     """Thread performing the fit """
     
-    def __init__(self,parent, fn,pars=None,cpage=None, qmin=None,qmax=None,ymin=None, ymax=None,
-                 xmin=None,xmax=None,
+    def __init__(self,parent, fn,pars=None,cpage=None, qmin=None,qmax=None,
                  completefn = None,
                  updatefn   = None,
@@ -118,10 +117,8 @@
         self.pars = pars
         self.starttime = 0
+        
         self.qmin = qmin
         self.qmax = qmax
-        self.xmin = xmin
-        self.xmax = xmax
-        self.ymin = ymin
-        self.ymax = ymax
+       
         self.done= False
         wx.PostEvent(self.parent, StatusEvent(status=\
@@ -165,8 +162,5 @@
                           qmin = self.qmin,
                           qmax = self.qmax,
-                          xmin= self.xmin,
-                          xmax= self.xmax,
-                          ymin = self.ymin,
-                          ymax = self.ymax, 
+                          
                           elapsed=elapsed )
         except KeyboardInterrupt:
